Bug 557943 - RFE: Manually report a bz through abrt
Summary: RFE: Manually report a bz through abrt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-22 20:43 UTC by Don Zickus
Modified: 2011-06-24 03:25 UTC (History)
7 users (show)

Fixed In Version: abrt-2.0.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:25:01 UTC


Attachments (Terms of Use)

Description Don Zickus 2010-01-22 20:43:14 UTC
Description of problem:
This may seem like a stupid and silly request but I really don't like using the online bugzilla tool to report a bug.  Too many clicks, slow, annoying.

I would rather have a stripped down tool that does this. Abrt seems to sort of be that tool.  

What I was thinking is having some sort of icon that sits on the tray on the bottom of the screen that I could click on to report a bug.  This tool would already know my product name, version number, user/passwd.  It just needs me to choose a product from a cached list and fill in the template.  Pretty easy, alooooot faster than using the browser and kinda painless.

Abrt already shows up in the system tray when it detects a program failure.  How about sitting there all the time but with say a green color meaning everything is fine.  When I click on that button, it could open up the normal abrt tool.  But inside that tool might be a new 'Report New' button that signifies that I want to report something that abrt did not detect (like a strange app behaviour or whatever).

That was the idea just because I'm lazy and hate using the web interface.  I know this is probably a little outside the scope of the tool but I thought I would throw this out there just for fun.  :-)

Or maybe it could be a plugin if I knew how to do that type of stuff.

Comment 1 Michal Nowak 2010-01-25 09:18:25 UTC
There were several attempts to create such (stand alone) tool, see Fedora Hosted, but none of them progressed enough, to my knowledge. I know, you won't like this idea but: eclipse-mylyn does what you requested for. :).

Comment 2 Don Zickus 2010-01-25 15:08:06 UTC
Thanks for feedback.  I don't think I ever used eclipse and really have no plans too.  

The reason I asked is I have hacked on python-bugzilla a lot a year ago and was recently writing wrapper scripts around it again to do various tasks like creating bugs and such.  I was looking for a pretty gui that I could click on.  The only thing is I don't programm gui stuff so I thought I could convince some other gui tool to stick it in there.

Oh well, I'll probably enhance my wrapper scripts for now.


Thanks again.

Comment 3 Denys Vlasenko 2010-02-09 12:26:42 UTC
Looks like we won't be able to work on this (at least not now)? Close this bug?

Comment 4 Denys Vlasenko 2010-04-30 16:22:12 UTC
Postponed till "abrt2"

Comment 5 Bug Zapper 2010-11-04 00:11:36 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-03 23:58:00 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Denys Vlasenko 2011-05-19 11:08:20 UTC
ABRT 2.x now does provide a tool which can report problem (usually a C or python crash) to Bugzilla:

Start by reading manpage / running --help:

$ abrt-action-bugzilla --help
Usage: abrt-action-bugzilla [-v] -c CONFFILE -d DIR

Reports problem to Bugzilla

    -v, --verbose               Be verbose
    -d DIR                      Dump directory
    -c FILE                     Configuration file (may be given many times)

then try to use it, and yell at us if you have problems. (I already see a few, such as: this help text needs extending).

Where "yell" means:
- give the *exact* description of the bug, or
- exactly which info is not explained in the --help / manpage (best if you have a proposed text), or
- describe how do you propose to improve the tool itself (example: "I need to do foo, propose to add option --foo=PARAM, where PARAM is ... ...")

I will work now on improving --help text/manpage, then will close this bug.

Comment 8 Nikola Pajkovsky 2011-05-19 11:29:28 UTC
I'm working on it right now.

Comment 9 Denys Vlasenko 2011-05-19 11:39:49 UTC
Fixed in git in commit 643d9abf858e979a19fbd85ecc386d167fe384d3.

New --help text:

$ abrt-action-bugzilla --help
Usage: abrt-action-bugzilla [-v] -c CONFFILE -d DIR

Reports problem to Bugzilla.

The tool reads DIR. Then it logs in to Bugzilla and tries to find a bug
with the same abrt_hash:HEXSTRING in 'Whiteboard'.

If such bug is not found, then a new bug is created.

Otherwise, if such bug is found and it is marked as CLOSED DUPLICATE,
the tool follows the chain of duplicates until it finds a non-DUPLICATE bug.
The tool adds a new comment to found bug.

The URL to new or modified bug is printed to stdout and recorded in
'reported_to' element.

CONFFILE lines should have 'PARAM = VALUE' format.
Recognized string parameters: BugzillaURL, Login, Password.
Recognized boolean parameter (VALUE should be 1/0, yes/no): SSLVerify.
Parameters can be overridden via $Bugzilla_PARAM environment variables.

    -v, --verbose               Be verbose
    -d DIR                      Dump directory
    -c FILE                     Configuration file (may be given many times)

Comment 10 Fedora Update System 2011-06-21 13:45:04 UTC
abrt-2.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15

Comment 11 Fedora Update System 2011-06-21 23:55:59 UTC
Package abrt-2.0.3-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.3-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-06-24 03:23:07 UTC
abrt-2.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.